I have tried firmware version 1.401, 1.40.2, 1.44.2 and 1.45.7 and cannot
get good VPN connection. Craigs web site note #46 says I need firmware
version 1.40.3, does anyone have a copy that I can have?

Ray